com.independentsoft.msg

## Enum RecipientType

- java.lang.Object
- - java.lang.Enum<RecipientType>
  - - com.independentsoft.msg.RecipientType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RecipientType>

      public enum RecipientType
      extends java.lang.Enum<RecipientType>

  Represents the recipient type for a message recipient.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BCC` The recipient is a blind carbon copy (Bcc) recipient.
    `CC` The recipient is a carbon copy (Cc) recipient.
    `NONE` None.
    `P1` The recipient did not successfully receive the message on the previous attempt.
    `TO` The recipient is a primary (To) recipient.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RecipientType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RecipientType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TO

          public static final RecipientType TO

      The recipient is a primary (To) recipient.

    - #### CC

          public static final RecipientType CC

      The recipient is a carbon copy (Cc) recipient.

    - #### BCC

          public static final RecipientType BCC

      The recipient is a blind carbon copy (Bcc) recipient.

    - #### P1

          public static final RecipientType P1

      The recipient did not successfully receive the message on the previous attempt.

    - #### NONE

          public static final RecipientType NONE

      None.

  - ### Method Detail

    - #### values

          public static RecipientType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecipientType c : RecipientType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecipientType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null